=== python/requirements.txt ===
cffi>=1.0.0
h5py
numpy
