=== debian/changelog ===
scrappie (1.4.2-9) unstable; urgency=medium

  * Team Upload.
  * Remove myself from uploaders
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Add patch to bump minimum cmake version (Closes: #1113489)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Sep 2025 17:45:52 +0530

scrappie (1.4.2-8) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:58:40 +0200

scrappie (1.4.2-7) unstable; urgency=medium

  * Skip one assertion test on ppc64el

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Apr 2021 00:40:23 +0530

scrappie (1.4.2-6) unstable; urgency=medium

  * Allow build-time test to fail on ppc64el
  * Add Restriction on allow-stderr

 -- Nilesh Patra <nilesh@debian.org>  Sat, 03 Apr 2021 15:12:19 +0530

scrappie (1.4.2-5) unstable; urgency=medium

  * Team upload.
  * Skip flaky test for armhf
    Closes: #986307

 -- Andreas Tille <tille@debian.org>  Sat, 03 Apr 2021 07:47:34 +0200

scrappie (1.4.2-4) unstable; urgency=medium

  [ Nilesh Patra ]
  * Remove useless test erroneously copied
  * Add myself to uploaders
  * Attempt using simde to compile across more arches
   (Closes: #976479)
  * Add libsimde-dev to build deps
  * Attempt enabling simde-dispatch
  * Add Built-Using as documented in SIMDe wiki, and policy
  * Add override for lintian complaint
    for binaries generated with simde flags

  [ Michael R. Crusoe ]
  * ignore the root Makefile, use cmake

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 09 Dec 2020 00:42:25 +0530

scrappie (1.4.2-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest
  * Add manpage

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 25 Oct 2020 20:01:22 +0530

scrappie (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 06 Aug 2020 17:24:58 +0200

scrappie (1.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #962966)

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Jun 2020 01:39:12 +0200
