=== debian/control ===
Source: scrappie
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcunit1-dev,
               libhdf5-dev,
               libopenblas-dev,
               cmake,
               libsimde-dev
Standards-Version: 4.7.2
Homepage: https://github.com/nanoporetech/scrappie
Vcs-Browser: https://salsa.debian.org/med-team/scrappie
Vcs-Git: https://salsa.debian.org/med-team/scrappie.git
Rules-Requires-Root: no

Package: scrappie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# Since this package has a MPL-2.0 license, adding Built-Using field
Built-Using: ${simde:Built-Using}
Description: basecaller for Nanopore sequencer
 The Nanopore is a device for DNA/RNA sequencing that does
 not require an amplification of the material. The polynucleotides
 are threaded through a pore and while these pass through,
 the change in the electrostatic potential allows one to
 identify ("call") the actual base that resides in the pore.
 Scrappie goes a step further and also attempts to describe
 modifications to the nucleic acid.
