=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%scrappie-$1.tar.gz%" \
   https://github.com/nanoporetech/scrappie/tags (?:.*?/)release-(\d[\d.]*)\.tar\.gz
